/***************************************************************************
 *   Copyright (C) 2008 by Konstantinos Smanis                             *
 *   kon.smanis@gmail.com                                                  *
 *                                                                         *
 *   This file is part of KGRUBEditor.                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor                                       *
 *   Boston, MA  02111-1307, USA.                                          *
 ***************************************************************************/

#ifndef VIEW_H
#define VIEW_H

//KDE
#include <kdialog.h>

//Ui
#include "ui/ui_view.h"

/**
 * @brief KDialog showing all raw file input.
 *
 * Shows the contents of the 2 files that KGRUBEditor edits.
 * These are /boot/grub/menu.lst and /boot/grub/device.map.
 */
class View : public KDialog, private Ui::View
{
Q_OBJECT
public:
	/**
	* Default constructor. Sets the tabs' text to the filenames
	* and shows their contents in the KTextEdit widgets.
	*
	* @param parent QWidget parent. Self explanatory.
	*/
	View( QWidget *parent = 0 );
};

#endif
